
plugins {
    kotlin("jvm")
}

repositories {
    mavenCentral()
}

val gsonDepVersion: String by project
val specifyKotlinAsDependency: String by project

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test")

    implementation("com.google.code.gson:gson:$gsonDepVersion")
    implementation(project(":core"))
}

publishing {
    publications {
        create<MavenPublication>("mavenJava") {
            from(components["java"])
            artifact(tasks["sourceJar"])

            pom {
                dependencies {
                    if (specifyKotlinAsDependency.toBoolean()) implementation(kotlin("stdlib"))
                    implementation("com.google.guava:guava:[2.0,)")
                    implementation(project(":core"))
                }
            }
        }
    }
}
